/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "dcquickconnect.h"

DCQuickConnect::DCQuickConnect(QWidget *parent) : QDialog(parent) {
    setupUi(this);

    comboBox_HUBNAME->addItems(DCConfig::Instance()->GetQuickConnectHistory());

    connect(buttonBox, SIGNAL(accepted()), this, SLOT(slotAccept()));

    comboBox_HUBNAME->setFocus();
}

DCQuickConnect::~DCQuickConnect() {

}

void DCQuickConnect::slotAccept() {
    QString hub = comboBox_HUBNAME->currentText();
    if (hub.startsWith("dchub://"))
        hub.remove(0, 8);
    if (!hub.isEmpty()) {
        DCConnectionManager::Instance()->Connect(CString(), hub.toAscii().constData());
        DCConfig::Instance()->AppendQuickConnectHistory(hub);
    }

    accept();
}

